<?php
class Test5 extends CI_Controller {

    // constructeur
    function __construct()
    {
        // super()
        parent::__construct();

        // inclure des fonctions pour aider à gérer les formulaires
        $this->load->helper('form');
        $this->load->library('form_validation');
    }

    public function index()
    {
        $this->load->view('haut');
        $this->load->view('test5a');            // formulaire
        $this->load->view('bas');
    }

    public function valider()
    {
        // validité du formulaire
        $this->form_validation->set_rules('nom', 'Nom', 'required');
        $this->form_validation->set_rules('categ', 'Catégorie', 'required');

        // est-ce que c'est un retour du formulaire et est-il valide ?
        if ($this->form_validation->run() === FALSE) {
            // pas de formulaire ou champs invalides => réafficher le formulaire
            return $this->index();
        } else {
            // retour des données => afficher le produit
            $this->load->view('haut');
            $this->load->view('test5b', $_POST); // valeurs saisies
            $this->load->view('bas');
        }
    }
}
